package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwUser;
import com.fs.qw.event.EventAuthqrcode;



public interface IQwEventAuthService {

    R EventAuthqrcode(String deviceId, EventAuthqrcode authqrcode);


    void EventAuthOnline(String deviceId, QwUser qwUser);

    void ContactChangedLogs(Long userId,String deviceId);



    void RoomChangedLogs(Long userId,String deviceId);

    void updateRoomExt(Long roomId,String roomName);

    void updateRoomAncestors(Long roomId);

}
